# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KPanelAppMenu Class Reference

DCop client menu class for the Kicker panel that will insert a submenu into the KDE menu. More...

`#include <kpanelappmenu.h>`

Inheritance diagram for KPanelAppMenu:

[legend]
Collaboration diagram for KPanelAppMenu:

[legend]
List of all members.

## Signals

void | activated (int id)

## Public Member Functions

| KPanelAppMenu (const QString &title, QObject *parent=0, const char *name=0)
| KPanelAppMenu (const QPixmap &icon, const QString &title, QObject *parent, const char *name)
| KPanelAppMenu (QObject *parent, const char *name)
| ~KPanelAppMenu ()
int | insertItem (const QString &text, int id=-1)
int | insertItem (const QPixmap &icon, const QString &text, int id=-1)
KPanelAppMenu * | insertMenu (const QPixmap &icon, const QString &text, int id=-1)
void | clear ()
bool | process (const QCString &fun, const QByteArray &data, QCString &replyType, QByteArray &reply)

## Protected Member Functions

void | init (const QPixmap &icon, const QString &title)

## Detailed Description

DCop client menu class for the Kicker panel that will insert a submenu into the KDE menu.

Author:
  Daniel M. Duley <mosfet@kde.org>

Definition at line 37 of file kpanelappmenu.h.

## Constructor & Destructor Documentation

KPanelAppMenu::KPanelAppMenu | ( | const QString & | title,
|  | QObject * | parent = `0`,
|  | const char * | name = `0`
| ) |

| Constructs a new menu with the given title. Definition at line 38 of file kpanelappmenu.cpp. Referenced by insertMenu().

KPanelAppMenu::KPanelAppMenu | ( | const QPixmap & | icon,
|  | const QString & | title,
|  | QObject * | parent,
|  | const char * | name
| ) |

| Same as above, but with an icon for the submenu item. Definition at line 45 of file kpanelappmenu.cpp.

KPanelAppMenu::KPanelAppMenu | ( | QObject * | parent,
|  | const char * | name
| ) |

| Constructs a new (sub)menu with a given id. Definition at line 54 of file kpanelappmenu.cpp.

KPanelAppMenu::~KPanelAppMenu | ( |  | ) |

| Make sure you actually destroy this thing or the menu will never go away until this application quits or Kicker restarts ;-). Definition at line 87 of file kpanelappmenu.cpp. References DCOPClient::send().

## Member Function Documentation

int KPanelAppMenu::insertItem | ( | const QString & | text,
|  | int | id = `-1`
| ) |

| Inserts an item into the menu. Definition at line 134 of file kpanelappmenu.cpp. References DCOPClient::send().

int KPanelAppMenu::insertItem | ( | const QPixmap & | icon,
|  | const QString & | text,
|  | int | id = `-1`
| ) |

| Inserts an item with a icon. The icon name must be a full path. Definition at line 96 of file kpanelappmenu.cpp. References DCOPClient::send().

KPanelAppMenu * KPanelAppMenu::insertMenu | ( | const QPixmap & | icon,
|  | const QString & | text,
|  | int | id = `-1`
| ) |

| Inserts a sub menu with a icon. The icon name must be a full path. Definition at line 109 of file kpanelappmenu.cpp. References DCOPClient::appId(), DCOPClient::call(), KPanelAppMenu(), and DCOPClient::send().

void KPanelAppMenu::clear | ( |  | ) |

| Clears the menu. Definition at line 147 of file kpanelappmenu.cpp. References DCOPClient::send().

void KPanelAppMenu::activated | ( | int | id | ) | `[signal]`

| Emitted when the user selects an item from the Kicker menu.

The documentation for this class was generated from the following files:

- kpanelappmenu.h
- kpanelappmenu.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:21:47 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003